import { TypeOfInjectionFactory } from "../injector/injection-factory";
import { AutoMockFactory } from "./auto-mock.factory";
import { Expressions } from "../reflector/expressions";
import { AutoMockedStorage } from "./auto-mock.storage";
import { ExpressionEqualityComparer } from "../expression.equality-comparers/expression.equality-comparer";
/**
 * @hidden
 */
export declare class AutoMockProvider {
    private readonly map;
    private readonly comparer;
    private readonly autoMockFactory;
    constructor(map: TypeOfInjectionFactory<AutoMockedStorage>, comparer: ExpressionEqualityComparer, autoMockFactory: AutoMockFactory);
    getOrCreate<T>(expression: Expressions<T>): import("../moq").IMock<unknown>;
}
