import { IPlayable } from "../moq";
/**
 * The configured setup will be applied or not accordingly to the value in the sequence.
 *
 * @example
 * ```typescript
 *
 * const value = 'value';
 * const object = new Mock<Function>()
 * .setup(instance => instance(1))
 * .play(PlayTimes.Sequence([false, true]))
 * .returns(value)
 * .object();
 *
 * expect(object(1).toBe(undefined);
 * expect(object(1).toBe(value);
 * expect(object(1).toBe(undefined);
 * ```
 */
export declare class PlayableSequence implements IPlayable {
    private sequence;
    private index;
    constructor(sequence: boolean[]);
    readonly update: () => void;
    readonly isPlayable: () => boolean;
}
