import { InjectionFactory, TypeOfInjectionFactory } from "../../injector/injection-factory";
import { IMock, IPlayable } from "../../moq";
import { Presets } from "../presets";
import { Expressions } from "../../reflector/expressions";
import { RejectedPromiseFactory } from "../rejected-promise.factory";
/**
 * @Hidden
 */
export declare class ThrowsAsyncPresetFactory<T, TValue = any> implements InjectionFactory {
    private readonly rootMock;
    private readonly presets;
    private readonly rejectedPromise;
    constructor(rootMock: IMock<T>, presets: Presets<T>, rejectedPromise: TypeOfInjectionFactory<RejectedPromiseFactory>);
    factory(): <TException>(target: Expressions<T>, playable: IPlayable, exception: TException) => IMock<T>;
}
