import { Presets } from "./presets";
import { PresetBuilderFactory } from "./preset-builder.factory";
import { SetupFactory } from "./setup.factory";
import { RootMockProvider } from "../auto-mocking/root-mock.provider";
import { AutoMockProvider } from "../auto-mocking/auto-mock.provider";
import { CallbackPresetFactory } from "./factories/callback-preset.factory";
import { MimicsPresetFactory } from "./factories/mimics-preset.factory";
import { ReturnsAsyncPresetFactory } from "./factories/returns-async-preset.factory";
import { ReturnsPresetFactory } from "./factories/returns-preset.factory";
import { ThrowsAsyncPresetFactory } from "./factories/throws-async-preset.factory";
import { ThrowsPresetFactory } from "./factories/throws-preset.factory";
import { ResolvedPromiseFactory } from "./resolved-promise.factory";
import { RejectedPromiseFactory } from "./rejected-promise.factory";
import { ComplexExpressionGuard } from "../auto-mocking/expression.guards/complex-expression.guard";
/**
 * @hidden
 */
declare const _default: ({
    provide: typeof SetupFactory;
    useClass: typeof SetupFactory;
    deps: (typeof AutoMockProvider | typeof ComplexExpressionGuard | typeof PresetBuilderFactory)[];
} | {
    provide: typeof Presets;
    useClass: typeof Presets;
    deps: any[];
} | {
    provide: typeof ResolvedPromiseFactory;
    useClass: typeof ResolvedPromiseFactory;
    deps: any[];
} | {
    provide: typeof ReturnsPresetFactory;
    useClass: typeof ReturnsPresetFactory;
    deps: (typeof RootMockProvider | typeof Presets)[];
} | {
    provide: typeof ThrowsPresetFactory;
    useClass: typeof ThrowsPresetFactory;
    deps: (typeof RootMockProvider | typeof Presets)[];
} | {
    provide: typeof CallbackPresetFactory;
    useClass: typeof CallbackPresetFactory;
    deps: (typeof RootMockProvider | typeof Presets)[];
} | {
    provide: typeof MimicsPresetFactory;
    useClass: typeof MimicsPresetFactory;
    deps: (typeof RootMockProvider | typeof Presets)[];
} | {
    provide: typeof ReturnsAsyncPresetFactory;
    useClass: typeof ReturnsAsyncPresetFactory;
    deps: (typeof RootMockProvider | typeof Presets | typeof ResolvedPromiseFactory)[];
} | {
    provide: typeof ThrowsAsyncPresetFactory;
    useClass: typeof ThrowsAsyncPresetFactory;
    deps: (typeof RootMockProvider | typeof Presets | typeof RejectedPromiseFactory)[];
} | {
    provide: typeof PresetBuilderFactory;
    useClass: typeof PresetBuilderFactory;
    deps: (typeof ReturnsPresetFactory | typeof MimicsPresetFactory | typeof CallbackPresetFactory | typeof ThrowsPresetFactory | typeof ReturnsAsyncPresetFactory | typeof ThrowsAsyncPresetFactory)[];
})[];
export default _default;
