import { Expression } from "../reflector/expressions";
import { SequenceId } from "./sequence-id";
/**
 * This class represents a recorded interaction with the a mocked object.
 */
export interface TrackedAction {
    id: number;
    expression: Expression;
}
/**
 * This class records all interactions with a mocked object.
 */
export declare class Tracker {
    private sequenceId;
    private log;
    constructor(sequenceId: SequenceId);
    /**
     * @hidden
     */
    add(action: Expression): void;
    /**
     * Returns recorded interactions.
     */
    get(): TrackedAction[];
    interactions(): Expression[];
}
