import { AutoMockFactory } from "./auto-mock.factory";
import { RootMockProvider } from "./root-mock.provider";
import { Optional } from "../static.injector/metadata";
import { AutoMockedStorage } from "./auto-mock.storage";
import { AutoMockProvider } from "./auto-mock.provider";
import { AutoMockOptionsBuilder } from "./auto-mock-options.builder";
import { AutoMockNameFormatter } from "./name-formatters/auto-mock-name.formatter";
import { AutoMockInjectorConfig } from "./auto-mock-injector.config";
import { NamePrefixProvider } from "./name-formatters/name-prefix.provider";
import { FunctionFormatter } from "../formatters/function.formatter";
import { PropertyKeyFormatter } from "../formatters/property-key.formatter";
import { MethodFormatter } from "../formatters/method.formatter";
import { ExpressionEqualityComparer } from "../expression.equality-comparers/expression.equality-comparer";
import { ComplexExpressionValidator } from "./expression.guards/complex-expression.validator";
/**
 * @hidden
 */
declare const _default: ({
    provide: typeof import("moq.ts").ComplexExpressionErrorFormatter;
    useClass: typeof import("moq.ts").ComplexExpressionErrorFormatter;
    deps: (import("moq.ts").InjectionToken<import("moq.ts").IMockOptions<any>> | typeof NamePrefixProvider | typeof import("moq.ts").ExpressionFormatter | typeof import("moq.ts").StringErrorStyler)[];
} | {
    provide: typeof import("moq.ts").ExpressionFormatter;
    useClass: typeof import("moq.ts").ExpressionFormatter;
    deps: (typeof PropertyKeyFormatter | typeof FunctionFormatter | typeof MethodFormatter)[];
} | {
    provide: typeof import("moq.ts").StringErrorStyler;
    useClass: typeof import("moq.ts").StringErrorStyler;
    deps: any[];
} | {
    provide: typeof import("moq.ts").ComplexExpressionGuard;
    useClass: typeof import("moq.ts").ComplexExpressionGuard;
    deps: (typeof ComplexExpressionValidator | typeof import("moq.ts").ExpressionGuardExceptionFactory)[];
} | {
    provide: typeof ComplexExpressionValidator;
    useClass: typeof ComplexExpressionValidator;
    deps: typeof import("moq.ts").ExpressionValidator[];
} | {
    provide: typeof import("moq.ts").ExpressionGuardExceptionFactory;
    useClass: typeof import("moq.ts").ExpressionGuardExceptionFactory;
    deps: typeof import("moq.ts").ComplexExpressionErrorFormatter[];
} | {
    provide: typeof import("moq.ts").ExpressionValidator;
    useClass: typeof import("moq.ts").ExpressionValidator;
    deps: typeof import("moq.ts").FunctionExpressionValidator[];
} | {
    provide: typeof import("moq.ts").FunctionExpressionValidator;
    useClass: typeof import("moq.ts").FunctionExpressionValidator;
    deps: any[];
} | {
    provide: typeof NamePrefixProvider;
    useClass: typeof NamePrefixProvider;
    deps: any[];
} | {
    provide: typeof AutoMockedStorage;
    useClass: typeof AutoMockedStorage;
    deps: any[];
} | {
    provide: typeof AutoMockNameFormatter;
    useClass: typeof AutoMockNameFormatter;
    deps: (typeof PropertyKeyFormatter | typeof FunctionFormatter | typeof MethodFormatter | typeof NamePrefixProvider)[];
} | {
    provide: typeof AutoMockOptionsBuilder;
    useClass: typeof AutoMockOptionsBuilder;
    deps: (import("moq.ts").InjectionToken<import("moq.ts").IMockOptions<any>> | typeof AutoMockNameFormatter | typeof AutoMockInjectorConfig)[];
} | {
    provide: typeof AutoMockInjectorConfig;
    useClass: typeof AutoMockInjectorConfig;
    deps: (import("moq.ts").InjectionToken<import("moq.ts").IMock<unknown>> | (Optional | import("moq.ts").InjectionToken<import("moq.ts").IMock<unknown>>)[])[];
} | {
    provide: typeof AutoMockFactory;
    useClass: typeof AutoMockFactory;
    deps: (typeof AutoMockOptionsBuilder | import("moq.ts").InjectionToken<(opts: import("moq.ts").IMockOptions<unknown>) => import("moq.ts").IMock<unknown>>)[];
} | {
    provide: typeof RootMockProvider;
    useClass: typeof RootMockProvider;
    deps: (import("moq.ts").InjectionToken<import("moq.ts").IMock<unknown>> | (Optional | import("moq.ts").InjectionToken<import("moq.ts").IMock<unknown>>)[])[];
} | {
    provide: typeof AutoMockProvider;
    useClass: typeof AutoMockProvider;
    deps: (typeof AutoMockFactory | typeof AutoMockedStorage | typeof ExpressionEqualityComparer)[];
})[];
export default _default;
