import { Expressions } from "./expressions";
import { ExpressionReflector, IExpression } from "./expression-reflector";
import { AsyncReflectingProxyInjectorFactory } from "./async-reflecting-proxy.injector-factory";
/**
 * This class reflects an async expression to an expression tree representation.
 * For more examples check
 * [unit tests for this class]
 * (https://github.com/dvabuzyarov/moq.ts/blob/master/projects/moq/src/lib/reflector/async.expression-reflector.spec.ts)
 */
export declare class AsyncExpressionReflector implements ExpressionReflector {
    private readonly injectorFactory;
    constructor(injectorFactory: AsyncReflectingProxyInjectorFactory);
    /**
     * Reflects the provided async code as an expression tree.
     */
    reflect<T>(expression: IExpression<T>): Expressions<T>[];
}
